> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Offer Access Elements

> Retrieves available accesses for an offer, filtered by element_type. Returns up to 30 results per page, ordered by name.



## OpenAPI

````yaml get /offer_elements
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /offer_elements:
    get:
      tags:
        - Offers
      summary: List Offer Access Elements
      description: >-
        Retrieves available accesses for an offer, filtered by element_type.
        Returns up to 30 results per page, ordered by name.
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 10000
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 30
        - name: element_type
          in: query
          required: true
          schema:
            type: string
            enum:
              - Product
              - Forums::Category
              - Meetings::Category
              - Lives::Category
              - Coachings::Type
              - AiAssistant
        - name: query
          in: query
          required: false
          schema:
            type: string
            maxLength: 10000
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                        name:
                          type: string
                  page:
                    type: integer
                  next_page:
                    type: integer
                    nullable: true
        '401':
          description: Missing or invalid API credentials.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: Access denied
        '404':
          description: Record not found in your school.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: Record not found
        '422':
          description: Invalid offer details.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                error: 'Invalid arguments: /attributes/name minLength'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.